@import "../../../assets/scss/global";
.a-select-picker-wrapper{
    .a-select-picker {
        position: relative;
        height: 5rem;
    
        &[data-focus='true'] {
            .rs-dropdown {
                .rs-dropdown-toggle {
                    border-color: #7660FE;
                }
            }
        }
    
        label {
            position: absolute;
            top: 50%;
            left: 0;
            z-index: 2;
    
            padding: 0 1.6rem;
    
            font-size: 1.4rem;
            font-weight: 500;
    
            transform: translateY(-50%);
    
            transition: all 0.25s;
    
            pointer-events: none;
    
            &.active {
                top: 30%;
                left: 0;
    
                color: #7660FE;
                font-size: 1.2rem;
                font-weight: 600;
            }
    
            span {
                position: relative;
                z-index: 2;
            }
        }
    
        .a-select-picker__caret {
            position: absolute;
            top: 50%;
            right: 0.8rem;
            z-index: 3;
    
            width: 2.5rem;
            height: 2.5rem;
    
            object-fit: contain;
            object-position: center;
    
            transform: translateY(-50%);
    
            pointer-events: none;
        }
    
        .a-select-picker__dropdown {
            z-index: 1;
            width: 100%;
    
            &.focus {
                [class~="rs-dropdown-toggle"] {
                    border-color: #7660FE;
                }
            }
    
            &.hidden {
                .rs-dropdown-menu {
                    display: none;
                }
            }
    
            [class~="rs-dropdown-toggle"] {
                width: 100%;
                height: 100%;
                min-height: 5rem;
                padding-right: 3.2rem;
                padding-top: 2rem;
                padding-left: 16px;
                padding-bottom: 0;
                overflow: hidden;
    
                background: unset;
                background-color: unset;
                border: 1px solid #E8ECEE;
                border-radius: 10px;
                color: #000000;
                font-weight: 500;
                font-size: 15px;
                line-height: 22px;
                box-shadow: none;
    
                text-align: left;
                text-overflow: ellipsis;
                white-space: nowrap;
    
                transition: border 0.25s;
                &:hover, &:active{
                    background:unset;
                }
                .rs-dropdown-toggle-caret {
                    display: none;
                }
    
                .rs-ripple-pond {
                    display: none;
                }
    
                svg {
                    top: 10px;
                    right: 14px;
                    height: 27px;
                }
    
            }
    
            [class~="rs-dropdown-menu"] {
                padding: 10px;
                max-height: 20rem;
    
                overflow: auto;
    
                border-radius: 0.8rem;
    
                [class~="dropdown-menu-lg"] {
                    min-width: 20rem;
                }
    
                [class~="dropdown-menu-xl"] {
                    min-width: 30rem;
                }
            }
    
            [class~='rs-dropdown-item'] {
                color: #000000;
                font-size: 1.3rem;
    
                &.a-select-picker__dropdown-item {
                    display: flex;
                    align-items: center;
                    font-weight: 400;
                    font-size: 13px;
    
                    .dropdown-item__checkbox {
                        margin: 0 1.2rem 0 0;
    
                        input[type='checkbox'] {
                            width: 1.8rem;
                        }
                    }
                }
    
                &:hover {
                    background: $primary-color3;
                    border-radius: 6px;
                    color: $primary-color2;
                }
            }
        }
    }
    &.error {
        .a-select-picker__dropdown{
            [class~="rs-dropdown-toggle"] {
                border-color: #F82626;
            }
        }

        .feedback {
            color: #F82626;
            font-size: 10px;
            line-height: 18px;
            margin-left: 15px;
        }
    }
}